@charset "utf-8";

:root
{
    --top-color:#876633;
    --spring-color: #d05a6e;
    --summer-color: #2b5f75;
    --autumn-color:#c1693c;
    --winter-color:#656765;
}

/* serest */

html,body,h1,h2,p,ul,li
{
    margin: 0;
    padding: 0;
}
body{
    font-family: 'JetBrains Mono', monospace;
}
p{
    font-family: 'Nerko One', cursive;
}
ul
{
    list-style: none;
}
a{
    text-decoration: none;
}
img
{
    vertical-align: bottom;
}

/* ----Header ---- */

header
{
text-align: center;
}
h1{

}

.g-nav
{
width: 100%;
height: 50px;
background-color: var(--top-color);
}

.g-nav>ul
{
    display: flex;
    width: 960px;
    margin: 0 auto;
}
.g-nav li
{
    width: 20%;
    font-family: 'Nerko One', cursive;
}
.g-nav a
{
display: block;
line-height: 50px;
color: #fff;
border-left: 1px solid #fff;
}
.g-nav li:last-of-type>a
{
border-right: 1px solid #fff;
}

.g-nav a:hover
{
    background-color: darkslategray;
}


footer
{
width: 100%;
height: 100px;
background-color:var(--top-color);;
}

footer>p
{
    text-align: center;
    line-height: 100px;
    color:white;
}

/* --------Top Page-------*/

.main
{
    width: 960px;
    margin: 50px auto 200px;
    text-align: center;
}

.main-visual
{
    margin-bottom: 60px;
}

.main>h2
{
    font-size: 28px;
    margin-bottom: 20px;
}
.main>p{
    width: 600px;
    margin: 0 auto;
    line-height: 2.5;
}

/* --------Spring Page-------*/

.page
{
    width: 960px;
    margin: 50px auto 200px;
    display: flex;
    justify-content: space-between;
    flex-direction: row-reverse;
}
.text
{
    width: 300px;
}
.text>h2
{
    text-align: center;
    font-size: 28px;
    margin-bottom: 40px;
}
.text>p
{
    line-height: 1.8;
}
.photo
{
    width: 600px;
}

.spring .g-nav /* --Spring navigation color--*/
{
    background-color: var(--spring-color);
}
.spring>footer /* --Spring footer color--*/
{
    background-color: var(--spring-color);
}

.summer .g-nav /* --Summer navigation color--*/
{
    background-color: var(--summer-color);
}
.summer>footer /* --summer footer color--*/
{
    background-color: var(--summer-color);
}

.autumn .g-nav /* --Summer navigation color--*/
{
    background-color: var(--autumn-color);
}
.autumn>footer /* --summer footer color--*/
{
    background-color: var(--autumn-color);
}

.winter .g-nav /* --Winter navigation color--*/
{
    background-color: var(--winter-color);
}
.winter>footer /* --Winter footer color--*/
{
    background-color: var(--winter-color);
}

.g-nav li.current>a
{
    background-color: blueviolet;
    
}




